Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 02-06-2014 20:59:07

df871
Membre
Lieu : Limousin
Distrib. : Debian Wheezy 7.1 32b
Noyau : Linux 3.2.0-4-486
(G)UI : Xfce 4.8
Inscription : 17-09-2013
Site Web

compiler ffmpeg et avconv

Bonsoir à toutes et Tous:)

Je souhaiterai compiler ffmpeg et avconv,  de quelle manière puis-je le faire ?

est-ce que cela "perturbera", ou pas, wheezy, en cas d'utilisation de ffmpeg ou avconv ?

merci de vous retours smile

Cordialement
Bernard
Crées, Consolides... puis, Continues à Créer smile
Asus P4P800, P4C 2,6Ghz, Seagate laptop SSHD 500Go, Nvidia GF 6200 512 Mo avec Debian 7.0, Xfce 4.08

Hors ligne

#2 02-06-2014 21:29:02

golgot200
Membre
Lieu : AIN
Distrib. : Debian Jessie
Noyau : Linux debian 3.16.0-4-amd64
(G)UI : MATE
Inscription : 05-08-2007

Re : compiler ffmpeg et avconv

Bonsoir,

Une bonne méthode :

https://trac.ffmpeg.org/wiki/CompilationGuide/Ubuntu

Mais bon, c'est toi qui décide hmm

Dernière modification par golgot200 (02-06-2014 21:30:04)


L'ultime question ... l'intelligence a besoin de la bêtise pour s'affirmer, la beauté a besoin de la laideur pour resplendir, le courage nait dans la peur, les forts impressionnent au millieu des faibles, mais au final,... qui a donc besoin d'autant de connards ?

Hors ligne

#3 02-06-2014 21:32:10

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : compiler ffmpeg et avconv

Salut,
Tu veux vraiment compiler les deux ? Tu en as vraiment besoin (je n'imagine pas que qqn puisse en avoir vraiment besoin).
Et sinon, oui, cela perturbera wheezy si tu les installes. Je pense d'ailleurs que ça va mal se passer si tu tentes de les installer tous les deux.

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#4 02-06-2014 21:36:58

golgot200
Membre
Lieu : AIN
Distrib. : Debian Jessie
Noyau : Linux debian 3.16.0-4-amd64
(G)UI : MATE
Inscription : 05-08-2007

Re : compiler ffmpeg et avconv

ffmpeg ne va t'il pas être remplacé par avconv ?


EDIT: apparement oui dans la future Debian.
Il peut en avoir besoin si il utilise Tragtor (mais j'en doute).

Dernière modification par golgot200 (02-06-2014 21:41:32)


L'ultime question ... l'intelligence a besoin de la bêtise pour s'affirmer, la beauté a besoin de la laideur pour resplendir, le courage nait dans la peur, les forts impressionnent au millieu des faibles, mais au final,... qui a donc besoin d'autant de connards ?

Hors ligne

#5 02-06-2014 21:47:10

df871
Membre
Lieu : Limousin
Distrib. : Debian Wheezy 7.1 32b
Noyau : Linux 3.2.0-4-486
(G)UI : Xfce 4.8
Inscription : 17-09-2013
Site Web

Re : compiler ffmpeg et avconv

captnfab a écrit :

Salut,
Tu veux vraiment compiler les deux ? Tu en as vraiment besoin (je n'imagine pas que qqn puisse en avoir vraiment besoin).
Et sinon, oui, cela perturbera wheezy si tu les installes. Je pense d'ailleurs que ça va mal se passer si tu tentes de les installer tous les deux.



smile

Cette phrase m'interroge... car j'ai bien les deux d'installer !
donc pour toi, ce serait "normal" qu'un programme qui utilise l'un des deux, puisse "mal fonctionner" ?

car c'est le cas pour dPluzz, voir ma discussion dédiée ici :
http://debian-facile.org/viewtopic.php?id=9137

Dans ce cas, quel serait le programme, ffmpeg ou avconv, à désinstaller, pour tester tranquillement ?

Merci pour vos retours smile

Dernière modification par df871 (02-06-2014 21:47:28)


Cordialement
Bernard
Crées, Consolides... puis, Continues à Créer smile
Asus P4P800, P4C 2,6Ghz, Seagate laptop SSHD 500Go, Nvidia GF 6200 512 Mo avec Debian 7.0, Xfce 4.08

Hors ligne

#6 02-06-2014 22:15:08

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : compiler ffmpeg et avconv

Tu n'as pas les deux versions récentes d'installées. smile

Sous stable, il y a un paquet appelé ffmpeg, qui correspond à une très vieille version de ffmpeg, à l'époque ou libav et ffmpeg venaient de se séparer.
Ce vieux ffmpeg peut poser problème car il ne correspond ni au ffmpeg actuel, ni au libav actuel (et quand je dis actuel, il était déjà périmé au moment de la sortie de wheezy).
Le plan pour l'instant est de ne pas inclure ffmpeg et libav dans Jessie.
Mais, certains préfèrent ffmpeg à libav et militent pour que ce soit libav qui dégage.
Tout ceci est en discussion/expérimentation.

Il faut simplement savoir qu'une appli qui pensera pouvoir utiliser le ffmpeg de Debian ne fonctionnera probablement pas avec un ffmpeg frais.
De plus, ffmpeg et libav ne sont pas complètement interchangeables.

Sinon, je pense que ton pb est indépendant de ffmpeg/avconv smile
Et j'ai récup ton «allo docteurs»

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

Pied de page des forums